/*
Copyright (C) 2006 Paul Thomas
This file may be copied and redistributed freely, without advance permission,
provided that this Copyright statement is reproduced with each copy.

LIMITATION OF WARRANTY
NOTHING IN THIS AGREEMENT WILL BE CONSTRUED AS A REPRESENTATION MADE OR
WARRANTY GIVEN BY PAUL THOMAS OR ANY THIRD PARTY THAT THE USE OF
DATA PROVIDED HEREUNDER WILL NOT INFRINGE ANY PATENT, COPYRIGHT, TRADEMARK
OR OTHER RIGHTS OF ANY THIRD PARTY. DATA IS PROVIDED "AS IS" WITHOUT
WARRANTY OF ANY KIND WHATSOEVER, EXPRESS OR IMPLIED, INCLUDING IMPLIED
WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. PAUL
THOMAS MAKES NO WARRANTY THAT ITS DATA DOES NOT CONTAIN ERRORS.
*/

#define MAXLINELEN 200
#define MAXSEQLEN 100000

/* these determine the characters read by read_fasta_seq():
for ALIGN, insert character '-' is read, and lower case letters are ignored
for SEQ, insert characters are skipped, and lower case letters are converted to upper case */
#define ALIGN 0
#define SEQ 1

typedef struct fasta_seq {
   char comment[MAXLINELEN];
   int seqlen;
   char *seq;
} fasta_seq;

extern int read_fasta_seq(FILE *fp, fasta_seq **seq, int flag /* ALIGN or SEQ */);
extern void free_fasta_seq(fasta_seq *seq);
extern void print_fasta_seq(FILE *fp, fasta_seq *seq);
